#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "K36SurvivorAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class UK36SurvivorAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _hasMergedWithVecnaHand;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isPlayingMergeWithHandOutAnimation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isPlayingMergeWithEyeOutAnimation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isIdle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isFemale;

public:
	UK36SurvivorAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK36SurvivorAnimInstance) { return 0; }
